Package org.eclipse.e4.ui.workbench

# Interface IModelResourceHandler

public interface IModelResourceHandler
This handler allows clients load, create and save model resources

Since:
  1.0
Restriction:
  This interface is not intended to be implemented by clients.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.ecore.resource.Resource`
`createResourceWithApp(MApplication theApp)`
Creates a resource with an app Model, used for saving copies of the main app model.
`org.eclipse.emf.ecore.resource.Resource`
`loadMostRecentModel()`
Loads an returns the most recent model that was persisted
`void`
`save()`
Saves the model

## Method Details

### loadMostRecentModel

org.eclipse.emf.ecore.resource.Resource loadMostRecentModel()
Loads an returns the most recent model that was persisted

Returns:
  the most recent model state

### createResourceWithApp

org.eclipse.emf.ecore.resource.Resource createResourceWithApp(MApplication theApp)
Creates a resource with an app Model, used for saving copies of the main app model.

Parameters:
  `theApp` - the application model to add to the resource
Returns:
  a resource with a proper save path with the model as contents

### save

void save() throws IOException
Saves the model

Throws:
  `IOException` - if storing fails